#ServerPort
server.port=56016

#DataPath
cconfig.dataPath=./data

#TSAConfigurations
#cconfig.tsa.serverUrl=https://tsp-dev.digitalsign.pt:443/ts.jsp
#cconfig.tsa.includePolicy=1.3.6.1.4.1.25596.2.1.1
#cconfig.tsa.username=PT296776009
#cconfig.tsa.password=696994


#SignatureConfigurations
cconfig.signature.maximumSize=30000
cconfig.timestamp.maximumSize=35000

#logging
logging.config=classpath:logback-spring.xml
logging.path=.

#SignatureAppearance
cconfig.signature.appearance.fontName=Verdana
cconfig.signature.appearance.fontSize=30
cconfig.signature.appearance.isDateVisible=true
cconfig.signature.appearance.startLabelXPosition=50
cconfig.signature.appearance.startLabelYPosition=40
# string will be terminated after the length and continue in the next line.
cconfig.signature.appearance.labelLineLength=70
cconfig.signature.appearance.labelSigningDate=Signing Time: 
cconfig.signature.appearance.labelCN=Digitally Signed By: 
cconfig.signature.appearance.labelO=Organization: 
#in some cases we don't have OU Entitlement but just Title, in that case this label will work.
cconfig.signature.appearance.labelTitle=Title: 
cconfig.signature.appearance.labelOUCertificateProfile=
cconfig.signature.appearance.labelOUEntitlement=
#if user will pass comments in the request, this label would be used, otherwise ignored.
cconfig.signature.appearance.labelComments=

#LOTL
cconfig.lotl.cron.period=3600000
cconfig.lotl.url=https://ec.europa.eu/tools/lotl/eu-lotl.xml
cconfig.lotl.oj.url=https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=uriserv:OJ.C_.2019.276.01.0001.01.ENG
cconfig.lotl.trustedCertificatesPath=/var/DSPT/DSS/store
